import { eCheckResult } from '../../../../consts';
import { eSummaryStatusField } from './consts';
/**
* Detailed status of RFID checks
*/
export interface iRDetailedStatusSummary {
    /**
    * The summary of all optical checks.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.OPTICAL]: eCheckResult;
    /**
    * The comparison status for portrait in the document against the live or external image.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.PORTRAIT]: eCheckResult;
    /**
    * The summary of all RFID checks.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.RFID]: eCheckResult;
    /**
    * The verification status for the document data against the database.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.STOP_LIST]: eCheckResult;
}
/**
* Detailed status of RFID checks
*/
export declare class RDetailedStatusSummary implements iRDetailedStatusSummary {
    /**
    * The summary of all optical checks.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.OPTICAL]: eCheckResult;
    /**
    * The comparison status for portrait in the document against the live or external image.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.PORTRAIT]: eCheckResult;
    /**
    * The summary of all RFID checks.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.RFID]: eCheckResult;
    /**
    * The verification status for the document data against the database.
    * @type {eCheckResult}
    */
    [eSummaryStatusField.STOP_LIST]: eCheckResult;
}
